Subject: Re: rtas instantiation when commandline contains mem

From: Benjamin Krill <[email-masked]>
Date: Fri, 17 Jul 2009 08:36:20 +0200

>> the rtas instantiation (prom_init.c) doesn't work correctly if the
>> kernel parameter "mem=" is used. The current code doesn't evaluate
>> the kernel parameter which causes the issue that alloc_down
>> allocates somewhere in the "real" memory space. So it can
>> happen that the allocation space is above "mem=".
>> 
>> Commit 2babf5c2ec2f2d5de3e38d20f7df7fd815fd10c9 removes the
>> evaluation of "mem=".
>
>Ah yes, we don't constraint prom_init.c to mem=, only the kernel

Is that with intent? Or should I provide a patch to include it again?

cheers
 ben